com.ibm.openpages.api.scheduler

## Class AbstractScheduledProcess

- java.lang.Object
- - com.ibm.openpages.api.process.AbstractExternalProcess
  - - com.ibm.openpages.api.scheduler.AbstractScheduledProcess

- All Implemented Interfaces:
    java.io.Serializable

      public abstract class AbstractScheduledProcess
      extends AbstractExternalProcess

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScheduledProcess(int processType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(JobExecutionContext context)` This method launches this instance of `AbstractExternalProcess`.
    `Context` | `getApplicationContext()`
    `boolean` | `validConfiguration()`

    - ### Methods inherited from class com.ibm.openpages.api.process.AbstractExternalProcess

      `execute, getDescription, getInternalObjId, getLogger, getName, getProcessId, getProcessType, initialize, log, logQueueMessage, postProcessing, setLogger, setProcessId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractScheduledProcess

          public AbstractScheduledProcess(int processType)

  - ### Method Detail

    - #### execute

          public void execute(JobExecutionContext context)
                       throws JobExecutionException

      This method launches this instance of `AbstractExternalProcess`.
      Throws:
        `JobExecutionException`
      See Also:
        `Job#execute(JobExecutionContext)`

    - #### getApplicationContext

          public Context getApplicationContext()

    - #### validConfiguration

          public boolean validConfiguration()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.